#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n,k;
    cin>>n>>k;
    int a[n+1];
    for(int i = 0;i<n;i++){
        cin>>a[i];
    }
    a[n] = a[0];
    int rez;
    for(int i = 0;i<n;i++){
        if(a[i]==k){
            rez = a[i+1];
        }
    }
    cout<<rez<<endl;
}